# Visualization
TKV3d
Prs3d

# Prs3d_Text Class Reference

A framework to define the display of texts.
.

`#include <Prs3d_Text.hxx>`

Inheritance diagram for Prs3d_Text:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Draw (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint)

Defines the display of the text aText at the point AttachmentPoint.
The drawer aDrawer specifies the display attributes which texts will have.
The presentation object aPresentation stores the
information defined in this framework.
static void Draw (const Handle(Prs3d_Presentation)&
aPresentation, const Handle(Prs3d_TextAspect)&
anAspect, const TCollection_ExtendedString& aText,
const gp_Pnt& AttachmentPoint);
.

static Standard_EXPORT void | Draw (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_TextAspect)&anAspect, const TCollection_ExtendedString &aText, const gp_Pnt &AttachmentPoint)

Defines the display of the text aText at the point
AttachmentPoint.
The text aspect object anAspect specifies the display
attributes which texts will have.
The presentation object aPresentation stores the
information defined in this framework.
This syntax could be used if you had not already
defined text display attributes in a drawer or if you
wanted to exceptionally overide the definition
provided in your drawer.
.

## Member Function Documentation

static Standard_EXPORT void Prs3d_Text::Draw | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_TextAspect)& | anAspect,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint
| ) | `[static]`

static Standard_EXPORT void Prs3d_Text::Draw | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Pnt & | AttachmentPoint
| ) | `[static]`

void Prs3d_Text::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* Prs3d_Text::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* Prs3d_Text::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- Prs3d_Text.hxx